Profections
POST /api/v1/profections
POST
/api/v1/profections
Calculate annual profections: profected Ascendant, lord of the year, activated house, and monthly profection sub-rulers.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
Example
{ "date": "1990-05-15", "time": "14:30:00", "timezoneOffset": 3, "latitude": 50.45, "longitude": 30.52, "targetDate": "2024-05-15", "targetTime": "00:00:00", "targetTzOffset": 3}Responses
Section titled “ Responses ”Successful calculation
object
ok
boolean
Example
true data
object
Validation error
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }}